Package pygeodesy :: Module errors :: Class IntersectionError |
[frames] | no frames]

# Class IntersectionError

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
                   exceptions.ValueError --+
                                           |
                                 _ValueError --+
                                               |
                                              IntersectionError

Error raised for line or circle intersection issues.

Instance Methods
__init__(self, *args, **kwds) New IntersectionError. |
Inherited from `exceptions.ValueError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__ (self, *args, **kwds) (Constructor) |
New IntersectionError. Overrides: object.__init__